server:
    port: 6666
spring:
    application:
        name: jd
    #数据源配置
    datasource:
        driver-class-name: com.mysql.cj.jdbc.Driver
        url: jdbc:mysql://192.168.8.88:3306/jd?characterEncoding=utf-8&useSSL=true&serverTimezone=GMT%2B8
        username: root
        password: mysql_7sjTXH
        hikari:
            maximum-pool-size: 2000  # 最大连接数
            minimum-idle: 48        # 最小空闲连接数
            idle-timeout: 30000    # 空闲连接超时时间（毫秒）
            max-lifetime: 2000000  # 最大生命周期（毫秒）
            connection-timeout: 30000  # 连接超时时间（毫秒）
            pool-name: SpringBootHikariCP  # 连接池名字

    servlet:
        multipart:
            # 单个文件大小
            max-file-size: 20MB
            # 设置总上传的文件大小
            max-request-size: 20MB
    #MyWebMvcConfig中开启@EnableWebMvc则失效
    jackson:
        date-format: yyyy-MM-dd HH:mm:ss
        time-zone: GMT+8
    #    # 对象字段为null不显示
    #    default-property-inclusion: non_null

    # 资源信息
    messages:
        # 国际化资源文件路径
        basename: i18n/messages
    data:
        redis:
            host: 192.168.8.88
            password: redis_6PZ52S
            timeout: 1800000
            port: 6379
            database: 7

# 日志配置
logging:
    level:
        cn.van: debug
        org.springframework: warn
config:
    WX_BASE_URL: http://192.168.8.6:7777/qianxun/httpapi?wxid=wxid_kr145nk7l0an31
    QL_BASE_URL: http://134.175.126.60:35700
rocketmq:
    name-server: 192.168.8.88:9876  # RocketMQ Name Server 地址
    producer:
        group: wx_producer  # 生产者组名
        send-msg-timeout: 1000  # 发送消息超时时间
    consumer:
        group: wx_consumer  # 消费者组名
        consume-thread-min: 20  # 消费线程池最小线程数
        consume-thread-max: 64  # 消费线程池最大线程数
        consume-message-batch-max-size: 64  # 批量消费最大消息数
isRunning:
    wx: true
    jd: true
